GuidedTour (gCube Guided Tour Widget 1.6.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.widgets.guidedtour.resources.model

## Class GuidedTour

- java.lang.Object
- - org.gcube.portlets.widgets.guidedtour.resources.model.GuidedTour

-     public class GuidedTour
      extends Object

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `guide`
    `protected String` | `height`
    `protected String` | `language`
    `protected URL` | `source`
    `protected ArrayList<Step>` | `steps`
    `protected String` | `themeColor`
    `protected String` | `title`
    `protected String` | `useMask`
    `protected String` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuidedTour()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGuide()`
    `String` | `getHeight()`
    `String` | `getLanguage()`
    `URL` | `getSource()`
    `ArrayList<Step>` | `getSteps()`
    `String` | `getThemeColor()`
    `String` | `getTitle()`
    `String` | `getUseMask()`
    `String` | `getWidth()`
    `void` | `setGuide(String guide)`
    `void` | `setHeight(String height)`
    `void` | `setLanguage(String language)`
    `void` | `setSource(URL source)`
    `void` | `setSteps(ArrayList<Step> steps)`
    `void` | `setThemeColor(String themeColor)`
    `void` | `setTitle(String title)`
    `void` | `setUseMask(String useMask)`
    `void` | `setWidth(String width)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### steps

          protected ArrayList<Step> steps

    - #### title

          protected String title

    - #### guide

          protected String guide

    - #### themeColor

          protected String themeColor

    - #### width

          protected String width

    - #### height

          protected String height

    - #### useMask

          protected String useMask

    - #### source

          protected URL source

    - #### language

          protected String language

  - ### Constructor Detail

    - #### GuidedTour

          public GuidedTour()

  - ### Method Detail

    - #### getSteps

          public ArrayList<Step> getSteps()

      Returns:
        the steps

    - #### setSteps

          public void setSteps(ArrayList<Step> steps)

      Parameters:
        `steps` - the steps to set

    - #### getTitle

          public String getTitle()

      Returns:
        the title

    - #### setTitle

          public void setTitle(String title)

      Parameters:
        `title` - the title to set

    - #### getGuide

          public String getGuide()

      Returns:
        the guide

    - #### setGuide

          public void setGuide(String guide)

      Parameters:
        `guide` - the guide to set

    - #### getThemeColor

          public String getThemeColor()

      Returns:
        the themeColor

    - #### setThemeColor

          public void setThemeColor(String themeColor)

      Parameters:
        `themeColor` - the themeColor to set

    - #### getWidth

          public String getWidth()

      Returns:
        the width

    - #### setWidth

          public void setWidth(String width)

      Parameters:
        `width` - the width to set

    - #### getHeight

          public String getHeight()

      Returns:
        the height

    - #### setHeight

          public void setHeight(String height)

      Parameters:
        `height` - the height to set

    - #### getUseMask

          public String getUseMask()

      Returns:
        the useMask

    - #### setUseMask

          public void setUseMask(String useMask)

      Parameters:
        `useMask` - the useMask to set

    - #### getSource

          public URL getSource()

      Returns:
        the source

    - #### setSource

          public void setSource(URL source)

      Parameters:
        `source` - the source to set

    - #### getLanguage

          public String getLanguage()

      Returns:
        the language

    - #### setLanguage

          public void setLanguage(String language)

      Parameters:
        `language` - the language to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.